<?php

namespace BsPayDemo;

use BsPayDemo\constants\DemoConstants;
use BsPaySdk\Online\AcctPayment;

# 配置商户信息
require_once dirname(__FILE__) . "/loader.php";


# ------------- 账户余额信息查询 -------------
$accPayment = new AcctPayment();
$response = $accPayment->infoQuery(DemoConstants::DEMO_HUIFU_ID);

echo "---> 账户余额信息查询: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# ---------------- END ----------------


# ------------- 余额支付 -------------
$accPayment = new AcctPayment();
$response = $accPayment->pay(
    DemoConstants::DEMO_HUIFU_ID,
    DemoConstants::DEMO_HUIFU_ID,
    "10.01",
    array(  //可选参数
        "goodsName" => "IPhone12",
        "goodsDesc" => "iPhone12 256G 黑色",
    ));

echo "---> 余额支付: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# 缓存一下本次交易的结果，作为后续余额支付查询、退款的查询目标
$acctPaymentResult = $response -> result;
# --------------- END ---------------


# ------------- 余额支付查询 -------------
# 查询前一笔成功交易的支付结果
$accPayment = new AcctPayment();
$response = $accPayment->query(
    DemoConstants::DEMO_HUIFU_ID,
    $acctPaymentResult["req_date"],
    $acctPaymentResult["req_seq_id"]
);

echo "---> 余额支付查询: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# --------------- END ---------------


# ------------- 余额支付退款 -------------
# 对前一笔成功交易进行全额退款
$accPayment = new AcctPayment();
$response = $accPayment->refund(
    DemoConstants::DEMO_HUIFU_ID,
    $acctPaymentResult["ord_amt"],
    $acctPaymentResult["req_date"],
    $acctPaymentResult["req_seq_id"]
);

echo "---> 余额支付退款: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# 缓存一下本次退款交易的结果，作为后续余额支付查询、退款的查询目标
$acctPaymentRefundResult = $response -> result;
# --------------- END ---------------


# ------------- 余额支付退款查询 -------------
# 查询前一笔退款交易的结果
$accPayment = new AcctPayment();
$response = $accPayment->refundQuery(
    DemoConstants::DEMO_HUIFU_ID,
    $acctPaymentRefundResult["req_date"],
    $acctPaymentRefundResult["req_seq_id"]
);

echo "---> 余额支付退款查询: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# --------------- END ---------------