<?php

namespace BsPayDemo;

use BankAcctDetails;
use BsPayDemo\constants\DemoConstants;
use BsPaySdk\Settlement\Cashout;
use ReqSeqID;

# 配置商户信息
require_once dirname(__FILE__) . "/loader.php";

/**
 * 取现与结算模块 Demo
 */

# ------------- 代理商或商户或用户账户取现 -------------
$cashout = new Cashout();
$response = $cashout->acctCashout(
    DemoConstants::DEMO_HUIFU_ID,
    uniqid(rand(), true),
    "10.10",
    "1234232423"
);

echo "---> 代理商或商户或用户账户取现: \n";
if ($response->isError()) {  //失败处理
    var_dump($response->result);
} else {    //成功处理
    var_dump($response->result);
}

# --------------- END ---------------


# ------------- 代理商或商户或用户账户取现和结算查询 -------------
$cashout = new Cashout();
$response = $cashout->query(
    DemoConstants::DEMO_HUIFU_ID,
    date("Ymd"),
    new ReqSeqID("111111111111")
);

echo "---> 代理商或商户或用户账户取现和结算查询: \n";
if ($response->isError()) {  //失败处理
    var_dump($response->result);
} else {    //成功处理
    var_dump($response->result);
}

# --------------- END ---------------


# ------------- 代发 -------------
$cashout = new Cashout();
$response = $cashout->surrogate(
    DemoConstants::DEMO_HUIFU_ID,
    "10.01",
    "T0",
    "virgo://http://www.vclinker.com",  // 该笔交易的异步通知地址（http/https异步通知地址，必须以virgo://开头）
    "代发工资",
    new BankAcctDetails(
        "示例-银行账号掩码",
        "示例-银行账号密文",
        "示例-银行编号",
        "示例-银行卡用户名",
        "01",   // 公私类型标识, 01-对公 / 02-对私
        "示例-省份",
        "示例-地区",
        "示例-收款方三证合一码" // 收款方三证合一码, 当为对公代发的情况下，必须要有值否则报错（无三合一码时，填营业执照号）
    )
);

echo "---> 代理商或商户或用户账户取现和结算查询: \n";
if ($response->isError()) {  //失败处理
    var_dump($response->result);
} else {    //成功处理
    var_dump($response->result);
}

# --------------- END ---------------


