<?php

namespace BsPayDemo;

use BsPayDemo\constants\DemoConstants;
use BsPaySdk\Online\ScanPayment;
use ChannelJSAlipay;
use ReqSeqID;

# 配置商户信息
require_once dirname(__FILE__) . "/loader.php";


# ------------- 聚合反扫支付 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->passiveScanPay(
    DemoConstants::DEMO_HUIFU_ID,
    "0.01",
    uniqid(),   //demo这里随机生成一个商户订单号
    DemoConstants::WX_AUTH_CODE,    //这里需要生成一个真实的反扫二维码字符串才能支付成功
    "iphone12贴膜",
    array(  //可选参数
        "notify_url"=>"virgo://http://www.vclinker.com" // 该笔交易的异步通知地址（http/https异步通知地址，必须以virgo://开头）
    )
);

echo "---> 聚合反扫支付: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}

# --------------- END ---------------


# ------------- 聚合正扫支付 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->activeScanPay(
    DemoConstants::DEMO_HUIFU_ID,
    "0.01",
    uniqid(),   //demo这里随机生成一个商户订单号
    "iphone12贴膜",
    new ChannelJSAlipay("2088522648691973x")
);

echo "---> 聚合正扫支付: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}

# 缓存一下本次支付结果，作为后面查询的目标交易
$activeScanPayResult = $response -> result;
# --------------- END ---------------


# ------------- 扫码支付交易查询 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->query(
    DemoConstants::DEMO_HUIFU_ID,
    $activeScanPayResult["req_date"],
    new ReqSeqID($activeScanPayResult["req_seq_id"])
);

echo "---> 扫码支付交易查询: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}

# --------------- END ---------------


# ------------- 扫码支付交易退款 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->refund(
    DemoConstants::DEMO_HUIFU_ID,
    uniqid(),   //demo这里随机生成一个商户订单号
    $activeScanPayResult["req_date"],
    new ReqSeqID($activeScanPayResult["req_seq_id"]),
    "10.01"
);

echo "---> 扫码支付交易退款: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}

# 缓存一下本次支付结果，作为后面查询的目标交易
$scanPaymentRefundResult = $response -> result;
# --------------- END ---------------


# ------------- 扫码支付交易退款查询 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->refundQuery(
    DemoConstants::DEMO_HUIFU_ID,
    $scanPaymentRefundResult["req_date"],
    new ReqSeqID($scanPaymentRefundResult["req_seq_id"])
);

echo "---> 扫码支付交易退款查询: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# --------------- END ---------------


# ------------- 扫码支付交易关单 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->close(
    DemoConstants::DEMO_HUIFU_ID,
    $activeScanPayResult["req_date"],
    $activeScanPayResult["req_seq_id"]
);

echo "---> 扫码支付交易关单: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# --------------- END ---------------


# ------------- 获取银联用户标识 -------------
$scanPayment = new ScanPayment();
$response = $scanPayment->getUnionId(
    DemoConstants::DEMO_HUIFU_ID,
    "111111"
);

echo "---> 获取银联用户标识: \n";
if ($response->isError()){  //失败处理
    var_dump($response -> result);
} else {    //成功处理
    var_dump($response -> result);
}
# --------------- END ---------------
