<?php
namespace BsPaySdk\Management;

use BsPaySdk\BsPayClient;

/**
 * 商户接入管理模块
 *
 * @package BsPaySdk\Management
 */
class Merchant extends BsPayClient
{
    /**
     * 企业商户基本信息注册
     * @param array $params
     */
    public function companyRegiest($params=array()){
        // TODO
    }

    /**
     * 个人商户基本信息注册
     * @param array $params
     */
    public function personalRegiest($params=array()){
        // TODO
    }

    /**
     * 商户基本信息变更
     * @param array $params
     */
    public function changeInfo($params=array()){
        // TODO
    }

    /**
     * 商户详细信息查询
     * @param array $params
     */
    public function query($params=array()){
        // TODO
    }

    /**
     * 商户分账配置
     *
     * @param string $huifuId 商户号
     * @param string $switch 分账开关，Y-开/N-关
     * @param string $applyRatio 最大分账比例，百分比，保留两位小数，0-100 的数值
     * @param string $ruleOrigin 分账规则来源，01-仅使用接口传入的分账串/02-使用预配置的分账串（当此字段设置为 02 时候，必须设置可选字段：acct_split_bunch_list）
     * @param string $repealFlag 分账是否支持撤销交易，Y-支持/N-不支持
     * @param string $refundFlag 分账是否支持退货交易，Y-支持/N-不支持
     * @param string $affectType 生效类型，默认为 0-审核通过后即时生效
     * @param array $extendInfos 可选参数，详见接口文档
     *
     * @return Merchant 调用结果在返回对象的 result 中
     */
    public function profitSharingConfig($huifuId,
                                        $switch,
                                        $applyRatio,
                                        $ruleOrigin,
                                        $repealFlag,
                                        $refundFlag,
                                        $affectType="0",
                                        $extendInfos=array()
    ){
        $req_params = array_merge(
            array(
                "req_seq_id" => uniqid(rand()),     // 这个接口流水号长度最长只能送32位，这里减少随机参数
                "req_date" => date("Ymd"),
                "huifu_id" => $huifuId,
                "div_flag" => $switch,
                "rule_origin" => $ruleOrigin,
                "repeal_flag" => $repealFlag,
                "refund_flag" => $refundFlag,
                "apply_ratio" => $applyRatio,
                "start_type" => $affectType,
            ),
            $extendInfos
        );

        # 调用接口
        self::postRequest("ssproxy.addMerSplitConfig", $req_params);

        return $this;
    }

    /**
     * 商户分账配置查询
     *
     * @param string $huifuId 商户号
     * @param array $extendInfos 可选参数，详见接口文档
     *
     * @return Merchant 调用结果在返回对象的 result 中
     */
    public function profitSharingConfigQuery($huifuId,
                                             $extendInfos=array()
    ){
        $req_params = array_merge(
            array(
                "req_seq_id" => uniqid(rand()),     // 这个接口流水号长度最长只能送32位，这里减少随机参数
                "req_date" => date("Ymd"),
                "huifu_id" => $huifuId,
            ),
            $extendInfos
        );

        # 调用接口
        self::postRequest("ssproxy.queryMerSplitConfig", $req_params);

        return $this;
    }

    /**
     * 商户业务开通
     * @param array $params
     */
    public function serviceOpen($params=array()){
        // TODO
    }

    /**
     * 商户业务开通修改
     * @param array $params
     */
    public function serviceModify($params=array()){
        // TODO
    }

    /**
     * 申请单状态查询
     * @param array $params
     */
    public function querySubmissionState($params=array()){
        // TODO
    }

    /**
     * 商户图片上传
     * @param array $params
     */
    public function uploadImage($params=array()){
        // TODO
    }

    /**
     * 微信商户配置
     * @param array $params
     */
    public function wechatConfig($params=array()){
        // TODO
    }

    /**
     * 微信商户配置查询
     * @param array $params
     */
    public function queryWechatConfig($params=array()){
        // TODO
    }

    /**
     * 微信实名认证状态查询
     * @param array $params
     */
    public function queryWechatVerifyState($params=array()){
        // TODO
    }

    /**
     * 连锁总部新增
     * @param array $params
     */
    public function addHeadquarter($params=array()){
        // TODO
    }

    /**
     * 连锁总部变更
     * @param array $params
     */
    public function changeHeadquarter($params=array()){
        // TODO
    }

    /**
     * 连锁总部商户变更
     * @param array $params
     */
    public function changeHeadquarterMerch($params=array()){
        // TODO
    }
}