<?php

/**
 * Class ChannelJSUnionpay
 * 聚合正扫-银联-JS 支付通道对象
 */
class ChannelJSUnionpay extends ActiveScanPayChannel
{
    /**
     * ChannelJSUnionpay constructor.
     *
     * @param string $userId 用户user_id信息，需要商户先行调用 sdk 中 ScanPayment->getUnionId 方法获取（建议），或直接调用汇付接口"银联获取用户标识"
     * @param string $clientIp 客户端ip地址
     * @param array $extraChannelData 通道可选参数，详见接口文档，正确得提供更多可选信息将能有效的提高接口调用成功率和响应速度
     */
    public function __construct($userId,
                                $clientIp,
                                $extraChannelData=array())
    {
        parent::__construct();
        $this->channel = "U_JSAPI";
        $this->channelData = array_merge(array(
            "user_id" => $userId,
            "client_ip" => $clientIp,
        ), $extraChannelData);
        $this->reqKey = "unionpay_data";
    }
}