<?php

/**
 * Class PRCIDCard
 * 中华人民共和国居民身份证 证件对象
 */
class PRCIDCard extends IDInstance
{
    /**
     * PRCIDCard constructor.
     *
     * @param string $idNumber 证件号码
     * @param string $validityType 证件有效期
     * @param string $validityBeginDate 证件有效期起始日期
     * @param string $validityEndDate 证件有效期结束日期，身份证长期有效则不传此字段
     */
    public function __construct($idNumber, $validityType, $validityBeginDate, $validityEndDate)
    {
        $this->idNumber = $idNumber;
        $this->validityType = $validityType;
        $this->validityBeginDate = $validityBeginDate;
        $this->validityEndDate = $validityEndDate;
    }

    /**
     * PRCIDCard constructor.
     *
     * @param string $idNumber 证件号码
     */
    public function __construct_simple($idNumber)
    {
        $this->idNumber = $idNumber;
    }
}