<?php

namespace BsPaySdk;

ini_set('date.timezone','Asia/Shanghai');
if (!defined("SDK_BASE")) {
    define("SDK_BASE", dirname(__FILE__));
}

if (!defined("SDK_VERSION")) {
    define("SDK_VERSION", "php#v1.0.0");
}

# 设置是否调试模式
if (!defined("DEBUG")) {
    define("DEBUG", false);
}

# 设置调试日志路径
if (!defined("LOG")) {
    define("LOG", dirname(SDK_BASE)."/log");
}

# 设置生产模式
if (!defined("PROD_MODE")) {
    define("PROD_MODE", true);
}

require_once SDK_BASE."/config/MerConfig.php";
require_once SDK_BASE."/utils/BsPayRequests.php";
require_once SDK_BASE."/utils/BsPayTools.php";
require_once SDK_BASE."/BsPay.php";
require_once SDK_BASE."/BsPayClient.php";

# 交易类 Trans
require_once SDK_BASE."/Online/AcctPayment.php";
require_once SDK_BASE."/Online/CardPayment.php";
require_once SDK_BASE."/Online/ScanPayment.php";
require_once SDK_BASE."/Increment/Installment.php";
require_once SDK_BASE."/Management/Increment.php";
require_once SDK_BASE."/Settlement/Cashout.php";

# Entity 类 - 各种个人证件
require_once SDK_BASE."/entity/IDInstance.php";
require_once SDK_BASE."/entity/CommonID.php";
require_once SDK_BASE."/entity/PRCIDCard.php";

# Entity 类 - 各种银行卡、账号相关对象
require_once SDK_BASE."/entity/Bankcard.php";
require_once SDK_BASE."/entity/Creditcard.php";
require_once SDK_BASE . "/entity/BankAcctDetails.php";

# Entity 类 - 各种交易标识号
require_once SDK_BASE."/entity/SequenceID.php";
require_once SDK_BASE."/entity/CommonSeqID.php";
require_once SDK_BASE."/entity/ReqSeqID.php";
require_once SDK_BASE."/entity/HfSeqID.php";
require_once SDK_BASE."/entity/OutOrderSeqID.php";
require_once SDK_BASE."/entity/PartyOrderSeqID.php";
require_once SDK_BASE."/entity/AtTransOrderSeqID.php";

# Entity 类 - 各种交易通道对象
require_once SDK_BASE."/entity/ActiveScanPayChannel.php";
require_once SDK_BASE."/entity/ChannelJSAlipay.php";
require_once SDK_BASE."/entity/ChannelJSUnionpay.php";
require_once SDK_BASE."/entity/ChannelJSWechat.php";
require_once SDK_BASE."/entity/ChannelMiniWechat.php";
require_once SDK_BASE."/entity/ChannelNativeAlipay.php";
require_once SDK_BASE."/entity/ChannelNativeUnionpay.php";
require_once SDK_BASE."/entity/ChannelNativeWechat.php";




